# 
# 	x.x@toulouse.inra.fr
#	Created: May 03, 2007
#	Last Updated: May 03, 2007
#

package LipmError::xxx;

=pod

=head1 NAME

Error::xxx - a class to define specific exception of xxx

=head1 SYNOPSIS

	throw LipmError::xxx('description');
	catch LipmError::xxx with {...}

=head1 DESCRIPTION

	With this class you can describe all type of exception encountered by xxx.

=head1 AUTHOR

x x : x.x@toulouse.inra.fr

=cut

use warnings;
use strict;

## this class inherit from Error.pm
use base qw(Error);
## ??  use overload ('""' => 'stringify');

# # pour l'heritage facon livre
# require 'UNIVERSAL.pl';	# il faudrait limiter les dependances


BEGIN
{
    our $VERSION = do {my @r = (q$Rev$ =~ /\d+/g); $r[0]};
}

=head2 Function new

 Title        : new
 Usage        : my $o_circos = new X();
 Prerequisite : it's better for an error to be catch !
 Function     : Constructor, initialize the object
 Returns      : the object, can throw XXX error.
 Args         :	none
 Globals      : none

=cut

sub new
{
	my $class = shift;
	my ($text) = @_;
	my @args = ();

	local $Error::Depth = $Error::Depth + 1;
	local $Error::Debug = 1;  # Enables storing of stacktrace

	$self->SUPER::new(-text => $text, @args);
}

1;
