#!/usr/bin/perl
#
use strict;

=pod

=head1 COPYRIGHT NOTICE

This software is governed by the CeCILL license under French law - www.cecill.info

=cut

=head1 NAME

 preproc_script.pl - DEMO SCRIPT - To be executed by PARALOOP

=head1 SYNOPSIS

 preproc_script.pl 
 Associated parameter : PARALOOP_preproc_script
 STANDARD INPUT       : The current input file (see each plugin for the details about the input data)
 STANDARD OUTPUT      : The current output file

=head1 DESCRIPTION

The script whose name is set the the parameter PARALOOP_preproc_script is executed when a given Job_Id is 
started, or restarted after an interruption, whatever the cause of the interruption.

=cut

print "THIS SCRIPT IS EXECUTED WHEN THE JOB $ENV{PARALOOP_plp_id} IS STARTED/RESTARTED/RESUMED\n";
print "ENV VARIABLE PARALOOP = $ENV{PARALOOP}\n";
print "_______________________________________________________________\n";

print "\nINPUT DATA (10 first lines only)\n";

my $i=0;
while (my $line=<STDIN>)
{
    print $line;
    last if ($i++ >= 10);
}

print "_______________________________________________________________\n";
print "\nSOME USEFUL ENVIRONMENT VARIABLES\n";

my @a_keys=qw( status workdir plp_id start end step current );

foreach my $k (@a_keys)
{
    my $key = "PARALOOP_$k";
    print "$key ";
    if (exists $ENV{$key})
    {
        print $ENV{$key}."\n";
    }
    else
    {
        print "NOT DEFINED\n";
    }
}

print "\nEND OF preproc_script.pl\n";
print "________________________\n";

